dclib is a library of classes supporting valknut, a client
for the Direct Connect network protocol. In addition to the
protocol support there is storage of various user data,
such as a database of shareable items and lists of items to download.

dclib requires zlib, bzip2, libxml2 and optionally OpenSSL.
To compile it you need the development packages for these
libraries installed.

Website: http://wxdcgui.sourceforge.net/
Project page: http://sourceforge.net/projects/wxdcgui

Compiling and installing is the same as for any other software that
uses GNU automake and autoconf for the build system, INSTALL
is the generic instructions that apply to all programs using a
configure script.

./configure
make
make check
make install

The useful configure options are:

--prefix=/path/to/install/dclib
Change where dclib will be installed, the default is /usr/local which
will require "make install" to be run as root.

--enable-debug
Adds "-g" to the compiler flags so that debuggers can produce useful
backtraces. This is not enabled by default, but if no other
compiler flags are set (CXXFLAGS is not set), "-O2 -g" are used.
"-g" needs to be in the compiler flags for the crash dialog in
valknut to contain useful information.

--enable-static --disable-shared
Create a static library instead of a shared library, although
appropriate for dclib, it is less tested so not recommended.

--disable-ssl
Do not use the OpenSSL libraries, encrypted connections will not
be available.

--disable-unordered-stl
Do not attempt to use std::tr1::unordered_set, use std::set
instead. Most useful if attempting to use unordered_set
is causing compilation to fail.

If you obtained dclib using subversion then you need to run
"autoreconf --install" to create the configure script and related
files, requiring automake, autoconf and libtool.
